## ide-search-context ide-search-context |

## Functions

const GList * | ide_search_context_get_providers ()
void | ide_search_context_provider_completed ()
void | ide_search_context_add_result ()
void | ide_search_context_remove_result ()
void | ide_search_context_cancel ()
void | ide_search_context_execute ()
void | ide_search_context_set_provider_count ()
gsize | ide_search_context_get_max_results ()

## Signals

void | completed | Run Last
void | count-set | Run Last
void | result-added | Run Last
void | result-removed | Run Last

## Types and Values

#define | IDE_TYPE_SEARCH_CONTEXT
| IdeSearchContext

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeSearchContext

## Description

## Functions

### ide_search_context_get_providers ()

    const GList *
    ide_search_context_get_providers (IdeSearchContext *self);

Retrieve the list of providers for the search context.

#### Returns

A GList of IdeSearchProvider.

[transfer none][element-type IdeSearchProvider*]

### ide_search_context_provider_completed ()

    void
    ide_search_context_provider_completed (IdeSearchContext *self,
                                           IdeSearchProvider *provider);

### ide_search_context_add_result ()

    void
    ide_search_context_add_result (IdeSearchContext *self,
                                   IdeSearchProvider *provider,
                                   IdeSearchResult *result);

### ide_search_context_remove_result ()

    void
    ide_search_context_remove_result (IdeSearchContext *self,
                                      IdeSearchProvider *provider,
                                      IdeSearchResult *result);

### ide_search_context_cancel ()

    void
    ide_search_context_cancel (IdeSearchContext *self);

### ide_search_context_execute ()

    void
    ide_search_context_execute (IdeSearchContext *self,
                                const gchar *search_terms,
                                gsize max_results);

### ide_search_context_set_provider_count ()

    void
    ide_search_context_set_provider_count (IdeSearchContext *self,
                                           IdeSearchProvider *provider,
                                           guint64 count);

### ide_search_context_get_max_results ()

    gsize
    ide_search_context_get_max_results (IdeSearchContext *self);

## Types and Values

### IDE_TYPE_SEARCH_CONTEXT

    #define IDE_TYPE_SEARCH_CONTEXT (ide_search_context_get_type())

### IdeSearchContext

    typedef struct _IdeSearchContext IdeSearchContext;

## Signal Details

### The `“completed”` signal

    void
    user_function (IdeSearchContext *idesearchcontext,
                   gpointer          user_data)

Flags: Run Last

### The `“count-set”` signal

    void
    user_function (IdeSearchContext  *idesearchcontext,
                   IdeSearchProvider *arg1,
                   guint64            arg2,
                   gpointer           user_data)

Flags: Run Last

### The `“result-added”` signal

    void
    user_function (IdeSearchContext  *idesearchcontext,
                   IdeSearchProvider *arg1,
                   IdeSearchResult   *arg2,
                   gpointer           user_data)

Flags: Run Last

### The `“result-removed”` signal

    void
    user_function (IdeSearchContext  *idesearchcontext,
                   IdeSearchProvider *arg1,
                   IdeSearchResult   *arg2,
                   gpointer           user_data)

Flags: Run Last